Bug 947861 - Review Request: igor - Automated distribution life-cycle testing
Summary: Review Request: igor - Automated distribution life-cycle testing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-03 12:40 UTC by Fabian Deutsch
Modified: 2013-04-05 07:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-05 07:11:50 UTC
Type: ---
mrunge: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Fabian Deutsch 2013-04-03 12:40:14 UTC
Spec URL: http://fabiand.fedorapeople.org/igor/0/igor.spec
SRPM URL: http://fabiand.fedorapeople.org/igor/0/igor-0.3.0-1.fc18.src.rpm
Description:
Igor is a small daemon to continuous automated testing of PXE based Linux
distributions with cobbler, libvirt and real hardware.
It is intended to be combined with Jenkins and to test oVirt Node.

Fedora Account System Username: fabiand

Comment 2 Fabian Deutsch 2013-04-03 12:48:15 UTC
Updated to run the systemd macros.

Spec URL: http://fabiand.fedorapeople.org/igor/2/igor.spec
SRPM URL: http://fabiand.fedorapeople.org/igor/2/igor-0.3.0-2.fc18.src.rpm

Comment 3 Fabian Deutsch 2013-04-03 14:41:50 UTC
With changes suggested by mrunge

Spec URL: http://fabiand.fedorapeople.org/igor/3/igor.spec
SRPM URL: http://fabiand.fedorapeople.org/igor/3/igor-0.3.0-3.fc18.src.rpm

Comment 4 Matthias Runge 2013-04-04 06:46:21 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/mrunge/review/947861-igor/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Spec use %global instead of %define.
     Note: %define gitorious_name ovirt-igord
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: igor-0.3.0-3.fc20.noarch.rpm
igor.noarch: W: spelling-error %description -l en_US libvirt -> liberty
igor.noarch: W: spelling-error %description -l en_US oVirt -> overt
igor.noarch: W: no-manual-page-for-binary igord
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint igor
igor.noarch: W: spelling-error %description -l en_US libvirt -> liberty
igor.noarch: W: spelling-error %description -l en_US oVirt -> overt
igor.noarch: W: no-manual-page-for-binary igord
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
igor (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    /usr/bin/python
    config(igor)
    python(abi)
    systemd



Provides
--------
igor:
    config(igor)
    igor



Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64


Issues:
- please use %global instead of %define
- please submit a (non-empty) license file

Both can be included during initial import, so

PACKAGE APPROVED

Comment 5 Fabian Deutsch 2013-04-04 10:44:37 UTC
New Package SCM Request
=======================
Package Name: igor
Short Description: Automated distribution life-cycle testing
Owners: fabiand
Branches: f17 f18 f19
InitialCC:

Comment 6 Gwyn Ciesla 2013-04-04 12:46:25 UTC
Git done (by process-git-requests).

Comment 7 Fabian Deutsch 2013-04-05 07:11:50 UTC
Thanks Matthias an Jon.
Bugzilla component is added and package is imported, so closing this now.


Note You need to log in before you can comment on or make changes to this bug.